> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a collection



## OpenAPI

````yaml /api-reference/4.2/service-collections.json delete /collections/{collection}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service collections
servers:
  - url: /api/apollo/
security: []
tags:
  - name: collections
paths:
  /collections/{collection}:
    delete:
      tags:
        - 4.2 Collections API
      summary: Delete a collection
      operationId: deleteCollection
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: solr
          in: query
          description: >-
            'True' to delete the collection from Solr while it is deleted from
            Fusion
          required: false
          schema:
            type: boolean
            default: false
        - name: purge
          in: query
          description: '''True'' to also delete associated signals and searchLogs collections'
          required: false
          schema:
            type: boolean
            default: false
        - name: pipelines
          in: query
          description: '''True'' to also delete associated pipelines'
          required: false
          schema:
            type: boolean
            default: false
        - name: If-Match
          in: header
          description: An entity tag to match against the specified collection
          required: false
          schema:
            type: string
            default: '"-1"'
      responses:
        default:
          description: successful operation

````